﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Stack {
  using System;

  // Be aware that it is assumed that this values are equal to HeuristicLab.BenchmarkSuite.DataTypes
  [Flags]
  public enum StackTypes : ushort {
    None = 0x01, // Required to specify expression dependencies
    Integer = 0x02,
    Float = 0x04,
    Char = 0x08,
    String = 0x10,
    Boolean = 0x20,
    Name = 0x40,
    Code = 0x80,
    Exec = 0x100,
    Print = 0x200,
    IntegerVector = 0x400,
    FloatVector = 0x800,
    StringVector = 0x1000,
    BooleanVector = 0x2000,
  }
}
